%global pypi_name distro

Name:           python-%{pypi_name}
Version:        1.0.2
Release:        %mkrel 5
Summary:        Linux Distribution - a Linux OS platform information API
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/nir0s/distro
Source0:        https://files.pythonhosted.org/packages/source/%(n=%{pypi_name}; echo ${n:0:1})/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
%global _description \
The distro (for: Linux Distribution) package provides information about the\
Linux distribution it runs on, such as a reliable machine-readable ID, or\
version information.\
\
It is a renewed alternative implementation for Python's original\
platform.linux_distribution function, but it also provides much more\
functionality. An alternative implementation became necessary because\
Python 3.5 deprecated this function, and Python 3.7 is expected to remove it\
altogether. Its predecessor function platform.dist was already deprecated since\
Python 2.6 and is also expected to be removed in Python 3.7. Still, there are\
many cases in which access to that information is needed. See Python issue 1322\
for more information.

%description %{_description}

%package -n     python2-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Provides:       python-%{pypi_name} = %{version}-%{release} 
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
Recommends:     lsb-release

%description -n python2-%{pypi_name} %{_description}

Python 2 version.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Recommends:     lsb-release

%description -n python3-%{pypi_name} %{_description}

Python 3 version.

%package        cli
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description cli %{_description}

This package provides the %{_bindir}/distro CLI utility.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{pypi_name}
%doc README.rst CHANGES README.md
%license LICENSE
%{python2_sitelib}/%{pypi_name}-*.egg-info/
%{python2_sitelib}/%{pypi_name}.py*

%files -n python3-%{pypi_name}
%doc README.rst CHANGES README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}-*.egg-info/
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/__pycache__/%{pypi_name}.*

%files cli
%{_bindir}/distro



%changelog
* Thu Mar 16 2017 ngompa <ngompa> 1.0.2-5.mga6
+ Revision: 1093149
- Port to Mageia
- imported package python-distro

